# cabal2spec-0.25
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name show

%global common_summary Show library that provides ShowQ, ShowFun, and SimpleReflect

%global common_description The library provides ShowQ, ShowFun, and \
SimpleReflect. ShowFun gives us Typeable instances for neutering \
IO expressions. ShowQ adds SmallCheck & QuickCheck support. SimpleReflect \
allows us to literally see how functions 'expand'.

Name:           ghc-%{pkg_name}
Version:        0.4.1.2
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        GPLv2
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
Patch0:         show-0.4.1.2-fix-fsf-address.patch
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec

BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-smallcheck-devel
BuildRequires:  ghc-syb-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}
%patch0 -p1 -b .fix

%build
%ghc_lib_build


%install
%ghc_lib_install


# devel subpackage
%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Fri Sep 07 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.4.1.2-2
- Updated summary

* Wed Jun 13 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.4.1.2-1
- spec file template generated by cabal2spec-0.25.5
